package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;

import javax.persistence.Column;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 库存上报基本信息数据子集(可选)(WarehouseStockApplyInfo)表实体类
 *
 * @author makejava
 * @since 2025-06-11 17:43:41
 */
@SuppressWarnings("serial")
@Data
@Builder
@TableName("warehouse_stock_apply_info")
public class WarehouseStockApplyInfo {
    //主键ID
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //事件流水号
    @Column(name = "event_id")
    private String eventId;
    //事件响应时间
    @Column(name = "rec_time")
    private Date recTime;
    //药品通用名称
    @Column(name = "yptymc")
    private String yptymc;
    //国家药品标识码
    @Column(name = "gjypbsm")
    private String gjypbsm;
    //药品生产批号
    @Column(name = "ypscph")
    private String ypscph;
    //药品生产日期
    @Column(name = "ypscrq")
    private Date ypscrq;
    //药品有效期截止日期
    @Column(name = "ypyxqjzrq")
    private Date ypyxqjzrq;
    //库存制剂数量
    @Column(name = "kcsl")
    private Integer kcsl;
    //实际库存数量
    @Column(name = "sjkcsl")
    private Integer sjkcsl;
    //批准文号
    @Column(name = "yppzwh")
    private String yppzwh;
    //药品上市许可持有人代码
    @Column(name = "ypssxkcyrdm")
    private String ypssxkcyrdm;
    //药品上市许可持有人
    @Column(name = "ypssxkcyrmc")
    private String ypssxkcyrmc;
    //药品生产企业统一社会信用代码
    @Column(name = "ypscqydm")
    private String ypscqydm;
    //药品生产企业名称
    @Column(name = "ypscqymc")
    private String ypscqymc;
    //剂型
    @Column(name = "jx")
    private String jx;
    //包装规格
    @Column(name = "bzgg")
    private String bzgg;
    //制剂规格
    @Column(name = "zjgg")
    private String zjgg;
    //包装转换比
    @Column(name = "bzzhb")
    private Integer bzzhb;
    //包装转换比单位
    @Column(name = "bzzhbdw")
    private String bzzhbdw;
    //药品注册分类
    @Column(name = "ypzcfl")
    private String ypzcfl;
    //特殊药品管理分类
    @Column(name = "tsypglfl")
    private String tsypglfl;
    //统一社会信用代码（库存单位）
    @Column(name = "tyshxydmkcdw")
    private String tyshxydmkcdw;
    //库存单位编码(库存单位)
    @Column(name = "kcdwjzdwbm")
    private String kcdwjzdwbm;
    //库存统计时间
    @Column(name = "kctjsj")
    private Date kctjsj;
    //库存地址
    @Column(name = "ckdz")
    private String ckdz;
    //库存单位名称
    @Column(name = "kcdwmc")
    private String kcdwmc;
    //库存单位类型
    @Column(name = "kcdwlx")
    private String kcdwlx;
    //库存单位类型小类
    @Column(name = "kcdwlxxl")
    private String kcdwlxxl;
    //创建时间
    @Column(name = "create_time")
    private Date createTime;
    //更新时间
    @Column(name = "update_time")
    private Date updateTime;
    //是否删除(0-否 1-是)
    @Column(name = "is_deleted")
    private Integer isDeleted;

}

